﻿using System.Globalization;

using CsvHelper;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        List<Student> sourceList = new List<Student>
        {
            new Student { ID = "ID001", Name = "홍길동", Score = 90  },
            new Student { ID = "ID002", Name = "김철수", Score = 100 },
            new Student { ID = "ID003", Name = "이영희", Score = 80  }
        };

        using(StreamWriter streamWriter = new StreamWriter("d:\\result.csv"))
        {
            using(CsvWriter csvWriter = new CsvWriter(streamWriter, CultureInfo.InvariantCulture))
            {
                csvWriter.WriteRecords(sourceList);
            }
        }
    }

    #endregion
}